//
//  AccessoryDetailView.swift
//  Zockerhoehle
//
//  Created by Julian-Steffen Müller on 12.07.19.
//  Copyright © 2019 Julian-Steffen Müller. All rights reserved.
//

import SwiftUI

struct AccessoryDetailView : View {
    var accessory : Accessory?
    
    var body: some View {
        Text(accessory?.name ?? "N/A").color(Color.red)
    }
    
    init(accessory : Accessory?) {
        self.accessory = accessory
    }
}

#if DEBUG
struct AccessoryDetailView_Previews : PreviewProvider {
    static var previews: some View {
        AccessoryDetailView(accessory: nil)
    }
}
#endif
